#ifndef CARD_H
#define CARD_H

#include "libada8.h"


/*
  Pin assignment:
  Channel  Pin    Signal 
  Out1:    12     /SLND

  In1:     18     /RCL1      
  In2:     17     /RDT1
  In3:     16     /RCL2
  In4:     15     /RDT2
  In5:     14     /RCL3
  In6:     13     /RDT3
  In7:     11     /PH2
  In8:     10     /PH1
*/



class CARD
{
  public :
    #define TRACK_1 0x003
    #define TRACK_2 0x00C
    #define TRACK_3 0x030

  public :
   CARD (int BaseAddr);
  ~CARD ();

   void  Eject     () const;
   bool  Inserted  () const;
   bool  Loaded    () const;

   int   Read (int TrackMask, int duplicate = 1);

  private :
   ANALYZER *Module;
};

#endif
